Index: src/main/java/com/tourMate/controllers/TransportController.java
===================================================================
--- src/main/java/com/tourMate/controllers/TransportController.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/controllers/TransportController.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,5 +1,7 @@
 package com.tourMate.controllers;
 
-import com.tourMate.dto.*;
+import com.tourMate.dto.RouteListingDto;
+import com.tourMate.dto.TransportDto;
+import com.tourMate.dto.TransportListingDto;
 import com.tourMate.entities.*;
 import com.tourMate.services.TransportManager;
@@ -10,4 +12,5 @@
 import org.springframework.web.bind.annotation.*;
 
+import java.util.ArrayList;
 import java.util.Date;
 import java.util.List;
@@ -20,8 +23,7 @@
 
     // TRANSPORT CRUD //
-    @PostMapping(path = "/transport/add/{userId}")
-    public void add(@RequestBody Transport transport,
-                    @PathVariable Long userId) {
-        transportManager.createTransport(transport.getTransportName(), transport.getCarBrand(), transport.getCarType(), transport.getCarManufacturedYear(), transport.getNoPassengers(), transport.getNoBags(), transport.getEMBG(), userId, transport.getCarPlate());
+    @PostMapping(path = "/transport/add")
+    public void add(@RequestBody Transport transport) {
+        transportManager.createTransport(transport.getTransportName(), transport.getCarBrand(), transport.getCarType(), transport.getCarManufacturedYear(), transport.getNoPassengers(), transport.getNoBags(), transport.getEMBG(), new User(), transport.getCarPlate());
 
     }
@@ -46,4 +48,5 @@
     public TransportDto getTransport(@PathVariable(name = "id") long transportId)
     {
+        System.out.println("TUKA SUUUUUM");
         return transportManager.findTransportById(transportId);
     }
@@ -61,4 +64,9 @@
     // TANSPORT RESERVATION CRUDE //
 
+    @PostMapping(path = "/transport/reservation/sadd")
+    public void add(@RequestBody TransportReservation transportReservation) {
+        transportManager.createTransportReservation(transportReservation.getTransport(), transportReservation.getDepartureLocation(), transportReservation.getArrivalLocation(), transportReservation.getDate(), transportReservation.getNoSeats(), transportReservation.getUser(), transportReservation.getDepartureHour());
+    }
+
     @GetMapping(path = "/transport/reservations")
     public List<TransportReservation> showTransportReservations() {
@@ -68,5 +76,5 @@
     @PostMapping(path = "/transport/reservations/edit")
     public void edit(@RequestBody TransportReservation transportReservation) {
-//        transportManager.editTransportReservation(transportReservation.getTransportRoute().getParentRoute().getTransport(), getTransport(), transportReservation.getReservationID(), transportReservation.getDepartureLocation(), transportReservation.getArrivalLocation(), transportReservation.getDate(), transportReservation.getNoSeats(), transportReservation.getUser(), transportReservation.getDepartureHour());
+        transportManager.editTransportReservation(transportReservation.getTransport(), transportReservation.getReservationID(), transportReservation.getDepartureLocation(), transportReservation.getArrivalLocation(), transportReservation.getDate(), transportReservation.getNoSeats(), transportReservation.getUser(), transportReservation.getDepartureHour());
     }
 
@@ -84,6 +92,13 @@
     @PostMapping(path = "/transport/available/add")
     public void add(@RequestBody TransportAvailible transportAvailable, @RequestParam(name = "transportId") long transportId) {
-
-        transportManager.createTransportAvailable(transportAvailable, transportAvailable.getTransport(), transportAvailable.getFrom(), transportAvailable.getTo(), transportAvailable.getDate(), transportAvailable.getFreeSpace(), transportAvailable.getTime(), transportId, transportAvailable.getRoutes());
+        System.out.println("OREEEEEL");
+        System.out.println("DVA ORLA");
+        Transport t = transportManager.getTransportById(transportId);
+        List<TransportRoute> routes = transportAvailable.getRoutes().stream().toList();
+        routes.get(0).setDeparture(transportAvailable.getDate());
+        transportAvailable.setTime(routes.get(routes.size() - 1).getArrival());
+        routes.forEach(x -> x.setParentRoute(transportAvailable));
+        transportAvailable.setTransport(t);
+        transportManager.createTransportAvailable(transportAvailable.getTransport(), transportAvailable.getFrom(), transportAvailable.getTo(), transportAvailable.getDate(), transportAvailable.getFreeSpace(), transportAvailable.getTime(), routes);
     }
 
@@ -120,34 +135,7 @@
 
     @GetMapping(path = "/transport/search")
-    public List<TransportListingDto> searchAvailableTransport(@RequestParam(name = "from") String from,
-                                                              @RequestParam(name = "to") String to,
-                                                              @RequestParam(name = "date") @DateTimeFormat(pattern = "yyyy-MM-dd") Date date,
-                                                              @RequestParam(name = "numPassengers") int numPassengers){
-        return transportManager.getTransportsAvailableByFilters(from, to, date, numPassengers);
-    }
-
-    @PostMapping(path = "/transport/reserve")
-    public void reserveTransport(@RequestParam(name = "transportRouteId") Long transportRouteId,
-                                 @RequestParam(name = "userId") Long userId,
-                                 @RequestParam(name = "numSeats") int numSeats)
-    {
-        transportManager.createTransportReservation(transportRouteId, userId, numSeats);
-    }
-
-    @GetMapping(path = "/transport/reservations/user/{id}")
-    public List<TransportReservationUserDto> getActiveReservationsForUser(@PathVariable Long id)
-    {
-        return transportManager.findValidTransportReservationsByUser(id);
-    }
-
-    @GetMapping(path = "/transport/reservations/user/{id}/past")
-    public List<TransportReservationUserDto> getPastReservationsForUser(@PathVariable Long id)
-    {
-        return transportManager.findPastTransportReservationsByUser(id);
-    }
-
-    @GetMapping(path = "/transport/{id}/reservations/active")
-    public List<TransportReservation> showTransportReservationsByTransport(@PathVariable Long id) {
-        return transportManager.findTransportReservationByTransportId(id);
+    public List<TransportListingDto> searchAvailableTransport(@RequestParam(name = "from") String from, @RequestParam(name = "to") String to,
+                                                              @RequestParam(name = "date") @DateTimeFormat(pattern = "yyyy-MM-dd") Date date){
+        return transportManager.getTransportsAvailableByFilters(from, to, date);
     }
 }
Index: src/main/java/com/tourMate/controllers/UsersController.java
===================================================================
--- src/main/java/com/tourMate/controllers/UsersController.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/controllers/UsersController.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,8 +1,6 @@
 package com.tourMate.controllers;
 
-import com.tourMate.dto.PrincipalInfo;
 import com.tourMate.entities.Business;
 import com.tourMate.entities.User;
-import com.tourMate.config.oauth2.OAuth2UserDetailsCustom;
 import com.tourMate.services.BusinessManager;
 import com.tourMate.services.UsersManager;
@@ -11,7 +9,7 @@
 import org.springframework.http.ResponseEntity;
 import org.springframework.security.core.Authentication;
-import org.springframework.security.core.parameters.P;
 import org.springframework.web.bind.annotation.*;
 
+import java.util.ArrayList;
 import java.util.List;
 
@@ -43,32 +41,7 @@
     }
 
-    @GetMapping(path = "/business/unapproved")
-    public List<Business> getAllUnapprovedBusinesses()
-    {
-        return businessManager.getUnapprovedBusinesses();
-    }
-
-    @GetMapping(path = "/users/unapproved")
-    public List<User> getAllUnapprovedUsers()
-    {
-        return usersManager.getUnapprovedUsers();
-    }
-
-    @GetMapping(path = "/users/approve/{userId}")
-    public ResponseEntity<?> approveUserProfile(@PathVariable Long userId)
-    {
-        usersManager.approveUserProfile(userId);
-        return new ResponseEntity<>(HttpStatus.OK);
-    }
-
-    @GetMapping(path = "/business/approve/{businessId}")
-    public ResponseEntity<?> approveBusiness(@PathVariable Long businessId)
-    {
-        businessManager.approveBusiness(businessId);
-        return new ResponseEntity<>(HttpStatus.OK);
-    }
-
     @PostMapping(path = "/register")
     public List<User> add(@RequestBody User user) {
+        System.out.println(user.getName() + user.getSurname());
         usersManager.createUser(user.getName(), user.getSurname(), user.getEmail(), user.getBirthDate(), user.getAddress(), user.getContact());
         return usersManager.getCreatedUsers();
@@ -88,57 +61,27 @@
     @GetMapping(value = "/principal")
     @ResponseBody
-    public PrincipalInfo currentUser(Authentication authentication) {
-        Long id;
-        if(authentication.getPrincipal() instanceof OAuth2UserDetailsCustom)
-        {
-            OAuth2UserDetailsCustom oAuth2UserDetailsCustom = (OAuth2UserDetailsCustom) authentication.getPrincipal();
-            id = oAuth2UserDetailsCustom.getId();
-        }
-        else
-        {
-            User user = (User) authentication.getPrincipal();
-            id = user.getUserID();
-        }
-        return usersManager.getPrincipalInfo(id);
+    public User currentUser(Authentication authentication) {
+        return (User) authentication.getPrincipal();
     }
     @PostMapping(path = "/user/edit")
-    public void edit(@RequestBody User user)
+    public List<User> edit(@RequestBody User user)
     {
+        System.out.println(user.getName() + " " + user.getSurname() + "id e " + user.getUserID());
+        // long userID, String name, String surname, String email, Date birthDate, String address, String contact
         usersManager.editUser(user.getUserID(), user.getName(), user.getSurname(), user.getEmail(), user.getBirthDate(), user.getAddress(), user.getContact());
+        return usersManager.getCreatedUsers();
     }
 
     @GetMapping(path = "/user/delete")
-    public ResponseEntity<?> remove(@RequestParam(name = "userId") long userId) {
+    public ResponseEntity remove(@RequestParam(name = "userId") long userId) {
         try
         {
             usersManager.deleteUser(userId);
-            return new ResponseEntity<>(HttpStatus.OK);
+            return new ResponseEntity(HttpStatus.OK);
         }
         catch (Exception exception)
         {
-            return new ResponseEntity<>(HttpStatus.NOT_FOUND);
+            return new ResponseEntity(HttpStatus.NOT_FOUND);
         }
-    }
-
-    @GetMapping("/users/unlock/{id}")
-    public ResponseEntity<?> unlock(@PathVariable Long id)
-    {
-        usersManager.unlock(id);
-        return new ResponseEntity<>(HttpStatus.OK);
-    }
-
-    @PostMapping("/users/{id}/connect")
-    public ResponseEntity<?> connectAccount(@PathVariable Long id,
-                                            @RequestParam String username,
-                                            @RequestParam String password)
-    {
-        usersManager.connectAccount(id, username, password);
-        return new ResponseEntity<>(HttpStatus.OK);
-    }
-
-    @GetMapping("/users/{id}/connected")
-    public List<User> getConnectedAccounts(@PathVariable Long id)
-    {
-        return usersManager.findConnectedAccountsByUser(id);
     }
 }
Index: src/main/java/com/tourMate/dao/BusinessDao.java
===================================================================
--- src/main/java/com/tourMate/dao/BusinessDao.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/dao/BusinessDao.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -9,23 +9,14 @@
 public interface BusinessDao {
 
-    List<Business> getCreatedBusinesses();
-
-    Business findBusinessById(long businessId);
+    @Transactional
+    void createBusiness(Business business, long userId);
+    public List<Business> getUnapprovedBusinessesOfUser(long userId);
+    public void deleteBusiness(long businessId);
+    public List<Business> getCreatedBusinesses();
+    public Business findBusinessById (long businessId);
 
     @Transactional
-    void createBusiness(Business business);
+    void editBusiness(long businessId, String name, String phone, String address, String edbs, User user, boolean approved);
+    public boolean hasBusiness(long userId);
 
-    List<Business> getUnapprovedBusinessesOfUser(User u);
-
-    @Transactional
-    void deleteBusiness(Business business);
-
-    boolean hasBusiness(User u);
-
-    List<Business> getUnapprovedBusinesses();
-
-    void approveBusiness(Business business);
-
-    @Transactional
-    void editBusiness(Business business);
 }
Index: src/main/java/com/tourMate/dao/HotelDao.java
===================================================================
--- src/main/java/com/tourMate/dao/HotelDao.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/dao/HotelDao.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -9,138 +9,41 @@
 
 public interface HotelDao {
-    @Transactional
-    void createHotel(Hotels hotel);
+    public void createHotel(Hotels hotel, long userId);
+    public void editHotel(long hotelId, String hotelName, String hotelDescripiton, String hotelLocation, String hotelEDBS, Boolean parking, Boolean petFriendly, Boolean internetAvailable);
+    public void deleteHotel(long hotelId);
+    public Hotels findHotelByID (long hotelId);
+    public List<Hotels> getHotels();
+    public List<Hotels> getHotelsForUser(long userId);
+    public List<Hotels> getHotelsByLocation(String hotelLocation);
 
-    List<Hotels> getHotels();
+    public void addHotelImage(Hotels hotel, String url);
+    public void deleteHotelImage(long hotelImageId);
+    public HotelsImages findHotelImageById(long hotelImageId);
+    public List<HotelsImages> getHotelImages(Hotels hotels);
+    public List<HotelRoomImages> getRoomImages(HotelRoom hotelRoom);
 
-    List<Hotels> getHotelsForUser(User u);
-
-    List<Hotels> getHotelsByLocation(String hotelLocation);
+    public void createRoom(Hotels hotel, String hotelRoomDescription, String hotelRoomName, Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony, double price);
+    public void editRoom(long hotelRoomId, Hotels hotel, String hotelRoomDescription, String HotelRoomName, Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony, double price);
+    public void deleteRoom(long hotelRoomId);
+    public HotelRoom findRoomById (long hotelRoomId);
+    public List<HotelRoom> getRoomsOfHotel (long hotelId);
+    public List<HotelRoomAvailable> getRoomsAvailable(Long id);
 
     @Transactional
-    void editHotel(Hotels hotel);
+    public void createRoomAvailible(HotelRoom hotelRoom, Date dateFrom, Date dateTo, int numberOfBeds);
+    public void editRoomAvailible(long hotelRoomAvailableId, HotelRoom hotelRoom, Date dateFrom, Date dateTo, int numberOfBeds);
+    public void deleteRoomAvailible(long hotelRoomAvailableId);
+    public HotelRoomAvailable findAvailibleRoomById(long hotelRoomAvailableId);
+    public List<HotelRoomAvailable> getRoomsAvailibility();
+    public List<HotelRoomAvailable> getRoomsAvailibilityByHotel(Hotels hotel);
+    public List<HotelRoomAvailable> getRoomsAvailibilityByDateAndLocation(String hotelLocation, Date dateFrom, Date dateTo, int numberOfBeds);
 
-    @Transactional
-    void deleteHotel(Hotels hotel);
+    public void createReservation(User user, HotelRoom hotelRoom, Date dateFrom, Date dateTo, Integer numberOfBeds);
+    public void editReservation(long hotelRoomReservedId, User user, HotelRoom hotelRoom, Date dateFrom, Date dateTo, Integer numberOfBeds);
+    public void deleteReservation(long hotelRoomReservedId);
+    public HotelRoomReservations findReservationById(long hotelRoomReservedId);
+    public List<HotelRoomReservations> findReservationByUser(User user);
+    public List<HotelRoomReservations> findReservationByHotel(Hotels hotel);
+    public List<HotelRoomReservations> getReservations();
 
-    Hotels findHotelByID(long hotelId);
-
-    List<HotelsImages> getHotelImages(Hotels hotel);
-
-    @Transactional
-    void addHotelImage(HotelsImages image);
-
-    @Transactional
-    void addRoomImage(HotelRoomImages x);
-
-    @Transactional
-    void  saveReservation(HotelRoomReservations hotelRoomReservations);
-
-    @Transactional
-    HotelsImages findHotelImageById(long hotelImageId);
-
-    @Transactional
-    void deleteHotelImage(HotelsImages hotelsImages);
-
-    List<HotelRoom> getRoomsOfHotel(Hotels hotel);
-
-    List<HotelRoomAvailable> getRoomsAvailable(Long id);
-
-    HotelRoom findRoomById(long hotelRoomId);
-
-    List<HotelRoomImages> getRoomImages(HotelRoom hotelRoom);
-
-    @Transactional
-    void createRoom(HotelRoom hotelRoom);
-
-    @Transactional
-    void editRoom(HotelRoom hr);
-
-    @Transactional
-    void deleteRoom(HotelRoom hr);
-
-    @Transactional
-    void createRoomAvailible(HotelRoomAvailable hra);
-
-    @Transactional
-    void editRoomAvailible(HotelRoomAvailable hr);
-
-    @Transactional
-    void deleteRoomAvailible(HotelRoomAvailable hra);
-
-    HotelRoomAvailable findAvailibleRoomById(long hotelRoomAvailableId);
-
-    List<HotelRoomAvailable> getRoomsAvailibility();
-
-    List<HotelRoomAvailable> getRoomsAvailibilityByHotel(Hotels hotel);
-
-    List<HotelRoomAvailable> getRoomsAvailibilityByDateAndLocation(String hotelLocation, Date dateFrom, Date dateTo, int numberOfBeds, Boolean flexible);
-
-    @Transactional
-    void createReservation(HotelRoomReservations r);
-
-    @Transactional
-    void editReservation(HotelRoomReservations hr);
-
-    @Transactional
-    void deleteReservation(HotelRoomReservations hr);
-
-    HotelRoomReservations findReservationById(long hotelRoomReservedId);
-
-    List<HotelRoomReservations> findReservationByUser(User user);
-
-    List<HotelRoomReservations> findReservationByHotel(Hotels hotel);
-
-    List<HotelRoomReservations> getReservations();
-
-    List<Reviews> findReviewsByHotel(Hotels hotel);
-
-    List<HotelRoomReservations> findPastReservationByUser(User u);
-
-    List<HotelRoomReservations> getReservationsInPeriod(String hotelLocation, Date dateFrom, Date dateTo);
-//    public void createHotel(Hotels hotel, long userId);
-//    public void editHotel(long hotelId, String hotelName, String hotelDescripiton, String hotelLocation, String hotelEDBS, Boolean parking, Boolean petFriendly, Boolean internetAvailable);
-//    public void deleteHotel(long hotelId);
-//    public Hotels findHotelByID (long hotelId);
-//    public List<Hotels> getHotels();
-//    public List<Hotels> getHotelsForUser(long userId);
-//    public List<Hotels> getHotelsByLocation(String hotelLocation);
-//
-//    public void deleteHotelImage(long hotelImageId);
-//    public HotelsImages findHotelImageById(long hotelImageId);
-//    public List<HotelsImages> getHotelImages(Hotels hotels);
-//    public List<HotelRoomImages> getRoomImages(HotelRoom hotelRoom);
-//
-//    public void createRoom(Hotels hotel, String hotelRoomDescription, String hotelRoomName, Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony, double price, int numOfBeds);
-//    public void editRoom(long hotelRoomId, Hotels hotel, String hotelRoomDescription, String HotelRoomName, Boolean kitchenAvailable, Boolean airConditioning, Boolean balcony, double price);
-//    public void deleteRoom(long hotelRoomId);
-//    public HotelRoom findRoomById (long hotelRoomId);
-//    public List<HotelRoom> getRoomsOfHotel (long hotelId);
-//    public List<HotelRoomAvailable> getRoomsAvailable(Long id);
-//
-//    @Transactional
-//    public void createRoomAvailible(HotelRoom hotelRoom, Date dateFrom, Date dateTo, int numberOfBeds);
-//    public void editRoomAvailible(long hotelRoomAvailableId, HotelRoom hotelRoom, Date dateFrom, Date dateTo, int numberOfBeds);
-//    public void deleteRoomAvailible(long hotelRoomAvailableId);
-//    public HotelRoomAvailable findAvailibleRoomById(long hotelRoomAvailableId);
-//    public List<HotelRoomAvailable> getRoomsAvailibility();
-//    public List<HotelRoomAvailable> getRoomsAvailibilityByHotel(Hotels hotel);
-//    public List<HotelRoomAvailable> getRoomsAvailibilityByDateAndLocation(String hotelLocation, Date dateFrom, Date dateTo, int numberOfBeds, Boolean flexible);
-//
-//    public void createReservation(User user, HotelRoom hotelRoom, Date dateFrom, Date dateTo, Integer numberOfBeds);
-//    public void editReservation(long hotelRoomReservedId, User user, HotelRoom hotelRoom, Date dateFrom, Date dateTo, Integer numberOfBeds);
-//    public void deleteReservation(long hotelRoomReservedId);
-//    public HotelRoomReservations findReservationById(long hotelRoomReservedId);
-//    public List<HotelRoomReservations> findReservationByUser(User user);
-//    public List<HotelRoomReservations> findReservationByHotel(Hotels hotel);
-//    public List<HotelRoomReservations> getReservations();
-//
-//    List<Reviews> findReviewsByHotel(Hotels hotel);
-//
-//    List<HotelRoomReservations> findPastReservationByUser(User u);
-//
-//    void addHotelImage(HotelsImages x);
-//
-//    void addRoomImage(HotelRoomImages x);
-//    void saveReservation(HotelRoomReservations hotelRoomReservations);
 }
Index: src/main/java/com/tourMate/dao/MenuDao.java
===================================================================
--- src/main/java/com/tourMate/dao/MenuDao.java	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ src/main/java/com/tourMate/dao/MenuDao.java	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -2,33 +2,12 @@
 
 import com.tourMate.entities.Menu;
-import jakarta.transaction.Transactional;
 
 import java.util.List;
 
 public interface MenuDao {
-    @Transactional
-    void createMenu(Menu menu);
-
-    @Transactional
-    void deleteMenu(Menu menu);
-
-    List<Menu> getCreatedMenus();
-
-    Menu findMenuById(long menuId);
-
-    @Transactional
-    void editMenu(Menu menu);
-//    public void createMenu(String name, String ingredients, double price);
-//
-//    @Transactional
-//    void createMenu(Menu menu);
-//
-//    public void deleteMenu(long menuId);
-//
-//    @Transactional
-//    void deleteMenu(Menu menu);
-//
-//    public List<Menu> getCreatedMenus();
-//    public Menu findMenuById(long menuId);
-//    public void editMenu(long menuId, String name, String ingredients, double price);
+    public void createMenu(String name, String ingredients, double price);
+    public void deleteMenu(long menuId);
+    public List<Menu> getCreatedMenus();
+    public Menu findMenuById(long menuId);
+    public void editMenu(long menuId, String name, String ingredients, double price);
 }
